<?php

/**
 * Phire Check Template
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';

// Check for duplicate template name in the system.
if ((isset($_GET['tmpl_name'])) && (isset($_GET['site_id']))) {

    if (isset($_GET['current'])) {

        $tmpl = new Phire_Table_Templates();
        $tmpl->execute("SELECT * FROM " . DB_PREFIX . "templates WHERE template_name = '" . (string)Moc10_String::setString($_GET['tmpl_name'])->escape()->striptags() . "' AND site_id = '" . (string)Moc10_String::setString($_GET['site_id'])->escape(true)->striptags() . "' LIMIT 1");
        if (isset($tmpl->rows[0]['template_id']) && ($tmpl->rows[0]['template_name'] != $_GET['current'])) {
            print("<em class=\"error\" style=\"margin: 0; padding: 5px 0;\">" . $lang->__('That template name already exists in the system for that site. Please choose another template name.') . "</em>");
        } else {
            print('');
        }

    } else {

        $tmpl = new Phire_Table_Templates();
        $tmpl->execute("SELECT * FROM " . DB_PREFIX . "templates WHERE template_name = '" . (string)Moc10_String::setString($_GET['tmpl_name'])->escape()->striptags() . "' AND site_id = '" . (string)Moc10_String::setString($_GET['site_id'])->escape(true)->striptags() . "' LIMIT 1");
        if (isset($tmpl->rows[0]['template_id'])) {
            print("<em class=\"error\" style=\"margin: 0; padding: 5px 0;\">" . $lang->__('That template name already exists in the system for that site. Please choose another template name.') . "</em>");
        } else {
            print('');
        }
    }

}

?>
